import { ITokenHandler, IToken, IUserHandler, IUser, IBaasicAppOptions, IBaasicOptions, IEventHandler, IBaasicApp } from './core/contracts';
import { ApiClient } from './httpApi';
import * as modules from './modules';
export declare class BaasicApp implements IBaasicApp {
    private apiKey;
    private options?;
    private readonly diModule;
    private readonly utility;
    private static readonly defaultSettings;
    readonly settings: Partial<IBaasicAppOptions>;
    readonly tokenHandler: ITokenHandler;
    readonly userHandler: IUserHandler;
    readonly eventHandler: IEventHandler;
    readonly apiClient: ApiClient;
    readonly membershipModule: modules.Membership.Root;
    readonly applicationSettingModule: modules.ApplicationSettings.ApplicationSettingsClient;
    readonly keyValueModule: modules.KeyValue.KeyValueClient;
    readonly valueSetModule: modules.ValueSet.ValueSetClient;
    readonly userProfileModule: modules.UserProfile.Root;
    readonly templatingModule: modules.Templating.TemplatingClient;
    readonly meteringModule: modules.Metering.MeteringClient;
    readonly mediaVaultModule: modules.MediaVault.MediaVaultClient;
    readonly mediaGalleryModule: modules.MediaGallery.Root;
    readonly fileModule: modules.Files.FilesClient;
    readonly dynamicResourceModule: modules.DynamicResource.DynamicResourceClient;
    readonly notificationModule: modules.Notifications.NotificationsClient;
    readonly articleModule: modules.Article.Root;
    readonly commerceModule: modules.Commerce.CommerceClient;
    readonly calendarModule: modules.Calendar.Root;
    readonly shoppingCartModule: modules.ShoppingCart.Root;
    readonly blogModule: modules.Blog.Root;
    constructor(apiKey: string, options?: Partial<IBaasicOptions>);
    getAccessToken(): IToken;
    updateAccessToken(value: IToken): void;
    getApiKey(): string;
    getApiUrl(): string;
    getUser(): IUser;
    setUser(userInfo: IUser): void;
}
