export declare class Utility {
    constructor();
    /**
     * Order an array by specified order type.
     * @param values of T type
     * @param orderType property name
     * @returns ordered array.
     */
    OrderByArray<T>(values: T[], orderType: any): T[];
    /**
     * Checks if provided value is javascript object.
     * @param value any given value
     * @returns true if provided value is object, otherwise false.
     */
    isObject(value: any): boolean;
    isUndefined(value: any): boolean;
    /**
     * Copies properties from source object to destination object.
     * @param dstObj destination object
     * @param srcObj source object
     * @returns destination object with new properties from source object.
     */
    extend(dstObj: any, ...srcObj: any[]): any;
    /**
     * Copies properties from source object to destination object.
     * @param dstObj destination object
     * @param srcObj source object
     * @returns destination object with new properties from source object.
     */
    extendAs<destType>(dstObj: any, ...srcObj: any[]): destType;
}
