import { IToken, ITokenStoreOptions, TokenType, ITokenHandler, IEventHandler, IStorageHandler, IBaasicApp } from './contracts';
export declare class TokenHandler implements ITokenHandler {
    protected eventHandler: IEventHandler;
    protected storageHandler: IStorageHandler;
    private application;
    private utility;
    private token;
    private tokenKey;
    private userAccessTokenTimerHandle;
    constructor(eventHandler: IEventHandler, storageHandler: IStorageHandler, application: IBaasicApp);
    protected readonly messageTypes: {
        tokenExpired: string;
        tokenUpdated: string;
    };
    readonly tokenExpiredEventName: string;
    readonly tokenUpdatedEventName: string;
    store(token: IToken, options?: ITokenStoreOptions): void;
    protected handleTokenEvent(token?: IToken): void;
    get(type?: TokenType): IToken;
    triggerTokenExpired(app: IBaasicApp): void;
    triggerTokenUpdated(app: IBaasicApp): void;
    setExpirationTimer(token: IToken): any;
    syncToken(newToken: IToken): void;
    initEventing(): void;
}
