import { IHttpHeaders, IHttpRequest, IHttpResponse, IHttpClient, IAbortSignal } from './';
import { ITokenHandler, IAppOptions } from '../core/contracts';
import { IHALParser } from '../common';
export declare class ApiClient {
    private appOptions;
    private httpClient;
    private tokenHandler;
    private halParser;
    private static readonly httpTest;
    private wwwAuthenticateTokenizer;
    constructor(appOptions: IAppOptions, httpClient: IHttpClient, tokenHandler: ITokenHandler, halParser: IHALParser);
    createPromise: <TData>(deferFn: (resolve: (data?: TData | undefined) => void, reject: (data?: any) => void) => void) => PromiseLike<TData>;
    request<TResponse>(request: IHttpRequest): PromiseLike<IHttpResponse<TResponse>>;
    get<TResponse>(url: string, headers?: IHttpHeaders, abortSignal?: IAbortSignal): PromiseLike<IHttpResponse<TResponse>>;
    delete<TResponse>(url: string, headers?: IHttpHeaders, data?: any, abortSignal?: IAbortSignal): PromiseLike<IHttpResponse<TResponse>>;
    post<TResponse>(url: string, data: any, headers?: IHttpHeaders, abortSignal?: IAbortSignal): PromiseLike<IHttpResponse<TResponse>>;
    put<TResponse>(url: string, data: any, headers?: IHttpHeaders, abortSignal?: IAbortSignal): PromiseLike<IHttpResponse<TResponse>>;
    patch<TResponse>(url: string, data: any, headers?: IHttpHeaders, abortSignal?: IAbortSignal): PromiseLike<IHttpResponse<TResponse>>;
    private compileUrl;
    private internalRequest;
    private unquote;
    private headerExists;
    private getHeader;
    private parseWWWAuthenticateHeader;
}
