/**
 * @module articleSubscriptionsRoute
 * @description Baasic Article Subscriptions Route Definition provides Baasic route templates which can be expanded to Baasic REST URIs. Various services can use Baasic Article Subscriptions Route Definition to obtain needed routes while other routes will be obtained through HAL. By convention, all route services use the same function names as their corresponding services.
*/
import { BaseRoute } from '../../../common';
import { IAppOptions } from '../../../core/contracts';
import { ArticleSubscriptionsCommentReportedRoute, ArticleSubscriptionsArticleRoute, ArticleSubscriptionsCommentRequiresModerationRoute } from '../';
export declare class ArticleInstanceSubscriptionsRoute extends BaseRoute {
    protected articleSubscriptionsCommentReportedRoute: ArticleSubscriptionsCommentReportedRoute;
    protected articleSubscriptionsArticleRoute: ArticleSubscriptionsArticleRoute;
    protected articleSubscriptionsCommentRequiresModerationRoute: ArticleSubscriptionsCommentRequiresModerationRoute;
    protected appOptions: IAppOptions;
    readonly commentReported: ArticleSubscriptionsCommentReportedRoute;
    readonly article: ArticleSubscriptionsArticleRoute;
    readonly commentRequiresModeration: ArticleSubscriptionsCommentRequiresModerationRoute;
    constructor(articleSubscriptionsCommentReportedRoute: ArticleSubscriptionsCommentReportedRoute, articleSubscriptionsArticleRoute: ArticleSubscriptionsArticleRoute, articleSubscriptionsCommentRequiresModerationRoute: ArticleSubscriptionsCommentRequiresModerationRoute, appOptions: IAppOptions);
}
