"use strict";
/* globals module */
/**
 * @module articleSubscriptionsRoute
 * @description Baasic Article Subscriptions Route Definition provides Baasic route templates which can be expanded to Baasic REST URIs. Various services can use Baasic Article Subscriptions Route Definition to obtain needed routes while other routes will be obtained through HAL. By convention, all route services use the same function names as their corresponding services.
*/
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var inversify_1 = require("inversify");
var common_1 = require("../../../common");
var contracts_1 = require("../../../core/contracts");
var __1 = require("../");
var ArticleInstanceSubscriptionsRoute = /** @class */ (function (_super) {
    tslib_1.__extends(ArticleInstanceSubscriptionsRoute, _super);
    function ArticleInstanceSubscriptionsRoute(articleSubscriptionsCommentReportedRoute, articleSubscriptionsArticleRoute, articleSubscriptionsCommentRequiresModerationRoute, appOptions) {
        var _this = _super.call(this, appOptions) || this;
        _this.articleSubscriptionsCommentReportedRoute = articleSubscriptionsCommentReportedRoute;
        _this.articleSubscriptionsArticleRoute = articleSubscriptionsArticleRoute;
        _this.articleSubscriptionsCommentRequiresModerationRoute = articleSubscriptionsCommentRequiresModerationRoute;
        _this.appOptions = appOptions;
        return _this;
    }
    Object.defineProperty(ArticleInstanceSubscriptionsRoute.prototype, "commentReported", {
        get: function () {
            return this.articleSubscriptionsCommentReportedRoute;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ArticleInstanceSubscriptionsRoute.prototype, "article", {
        get: function () {
            return this.articleSubscriptionsArticleRoute;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ArticleInstanceSubscriptionsRoute.prototype, "commentRequiresModeration", {
        get: function () {
            return this.articleSubscriptionsCommentRequiresModerationRoute;
        },
        enumerable: true,
        configurable: true
    });
    ArticleInstanceSubscriptionsRoute = tslib_1.__decorate([
        inversify_1.injectable(),
        tslib_1.__param(0, inversify_1.inject(__1.TYPES.ArticleSubscriptionsCommentReportedRoute)),
        tslib_1.__param(1, inversify_1.inject(__1.TYPES.ArticleSubscriptionsArticleRoute)),
        tslib_1.__param(2, inversify_1.inject(__1.TYPES.ArticleSubscriptionsCommentRequiresModerationRoute)),
        tslib_1.__param(3, inversify_1.inject(contracts_1.TYPES.IAppOptions)),
        tslib_1.__metadata("design:paramtypes", [__1.ArticleSubscriptionsCommentReportedRoute,
            __1.ArticleSubscriptionsArticleRoute,
            __1.ArticleSubscriptionsCommentRequiresModerationRoute, Object])
    ], ArticleInstanceSubscriptionsRoute);
    return ArticleInstanceSubscriptionsRoute;
}(common_1.BaseRoute));
exports.ArticleInstanceSubscriptionsRoute = ArticleInstanceSubscriptionsRoute;
