/**
 * @module meteringBatchRoute
 * @description Baasic Metering Batch Route Definition provides Baasic route templates which can be expanded to Baasic REST URIs. Various services can use Baasic Metering Route Definition Service to obtain a needed routes while other routes will be obtained through HAL. By convention, all route services  use the same function names as their corresponding services.
 */
import { BaseRoute } from '../../common';
import { IAppOptions } from '../../core/contracts';
export declare class MeteringBatchRoute extends BaseRoute {
    protected appOptions: IAppOptions;
    readonly createRoute: string;
    readonly updateRoute: string;
    readonly deleteRoute: string;
    constructor(appOptions: IAppOptions);
    /**
     * Parses create route; this URI template does not expose any additional options.
     * @method
     * @example meteringBatchRoute.create();
     **/
    create(): any;
    /**
     * Parses update route; this URI template does not expose any additional options.
     * @method
     * @example meteringBatchRoute.update();
     **/
    update(): any;
    /**
     * Parses remove route; this URI template does not expose any additional options.
     * @method
     * @example meteringBatchRoute.delete();
     **/
    delete(): any;
}
/**
 * @copyright (c) 2017 Mono Ltd
 * @license MIT
 * @author Mono Ltd
 * @overview
 ***Notes:**
 - Refer to the [Baasic REST API](http://dev.baasic.com/api/reference/home) for detailed information about available Baasic REST API end-points.
 - [URI Template](https://github.com/Baasic/uritemplate-js) syntax enables expanding the Baasic route templates to Baasic REST URIs providing it with an object that contains URI parameters.
 - All end-point objects are transformed by the associated route service.
 */ 
