/**
 * @module notificationsRegistrationsClient
 * @description  Notifications Registrations Client provides an easy way to consume  Notifications REST API end-points. In order to obtain needed routes `notificationsRegistrationsClient` uses `notificationsRegistrationsRoute`.
 */
import { NotificationsRegistrationsAnonymousClient, NotificationsRegistrationsRoute, NotificationsRegistrationsUsersClient } from './';
export declare class NotificationsRegistrationsClient {
    protected notificationsRegistrationsRoute: NotificationsRegistrationsRoute;
    protected notificationsRegistrationsAnonymousClient: NotificationsRegistrationsAnonymousClient;
    protected notificationsRegistrationsUsersClient: NotificationsRegistrationsUsersClient;
    readonly routeDefinition: NotificationsRegistrationsRoute;
    readonly anonymous: NotificationsRegistrationsAnonymousClient;
    readonly users: NotificationsRegistrationsUsersClient;
    constructor(notificationsRegistrationsRoute: NotificationsRegistrationsRoute, notificationsRegistrationsAnonymousClient: NotificationsRegistrationsAnonymousClient, notificationsRegistrationsUsersClient: NotificationsRegistrationsUsersClient);
}
/**
 * @overview
 ***Notes:**
 - Refer to the [REST API documentation](https://github.com/Baasic/baasic-rest-api/wiki) for detailed information about available Baasic REST API end-points.
 - All end-point objects are transformed by the associated route service.
 */ 
