/**
 * @module notificationsRegistrationsUsersBatchRoute
 * @description Baasic Notifications Registrations Users Batch Route Definition provides Baasic route templates which can be expanded to Baasic REST URIs. Various services can use Baasic Notifications Registrations Users Batch Route Definition to obtain needed routes while other routes will be obtained through HAL. By convention, all route services use the same function names as their corresponding services.
 */
import { BaseRoute } from '../../common';
import { IAppOptions } from '../../core/contracts';
export declare class NotificationsRegistrationsUsersBatchRoute extends BaseRoute {
    protected appOptions: IAppOptions;
    readonly createRoute: string;
    readonly deleteRoute: string;
    readonly updateRoute: string;
    constructor(appOptions: IAppOptions);
    /**
     * Parses create users registrations batch route; this route does not expose any additional options
     * @method
     * @example notificationsRegistrationsUsersBatchRoute.create();
     */
    create(): any;
    /**
     * Parses remove users registrations batch route; this route does not expose any additional options
     * @method
     * @example notificationsRegistrationsUsersBatchRoute.delete();
     */
    delete(): any;
    /**
     * Parses update users registrations batch route; this route does not expose any additional options
     * @method
     * @example notificationsRegistrationsUsersBatchRoute.update();
     */
    update(): any;
}
/**
 * @overview
 ***Notes:**
 - Refer to the [REST API documentation](https://github.com/Baasic/baasic-rest-api/wiki) for detailed information about available Baasic REST API end-points.
 - [URI Template](https://github.com/Baasic/uritemplate-js) syntax enables expanding the Baasic route templates to Baasic REST URIs providing it with an object that contains URI parameters.
 - All end-point objects are transformed by the associated route service.
 */ 
