import { ITokenHandler, IToken, IUserHandler, IUser, IBaasicAppOptions, IBaasicOptions, IEventHandler, IBaasicPlatform } from '../core/contracts';
import { ApiClient } from '../httpApi';
import * as modules from './modules';
export declare class BaasicPlatform implements IBaasicPlatform {
    private options?;
    private readonly diModule;
    private readonly utility;
    private static readonly defaultSettings;
    readonly settings: Partial<IBaasicAppOptions>;
    readonly tokenHandler: ITokenHandler;
    readonly userHandler: IUserHandler;
    readonly eventHandler: IEventHandler;
    readonly apiClient: ApiClient;
    readonly membershipModule: modules.Membership.Root;
    readonly applicationSettingModule: modules.ApplicationSettings.ApplicationSettingsClient;
    readonly userProfileModule: modules.UserProfile.Root;
    readonly notificationModule: modules.Notifications.NotificationsClient;
    readonly maintenanceModule: modules.Maintenance.Root;
    constructor(options?: Partial<IBaasicOptions>);
    getAccessToken(): IToken;
    updateAccessToken(value: IToken): void;
    getApiKey(): string;
    getApiUrl(): string;
    getUser(): IUser;
    setUser(userInfo: IUser): void;
}
