import { BaseRoute } from '../../../common';
import { IAppOptions } from '../../../core/contracts';
import { IApplicationSettings } from './contracts';
export declare class SettingsRoute extends BaseRoute {
    protected appOptions: IAppOptions;
    /**
     * Settings route with route and query parameters.
     **/
    getRoute: string;
    /**
     * Settings route with route and query parameters.
     **/
    updateRoute: string;
    constructor(appOptions: IAppOptions);
    /**
     * Parses get version route.
     * @method
     * @example versionRoute.get()
     **/
    get(): any;
    /**
     * Parses update settings route.
     * @method
     * @param data A settings object used to update specified settings resource.
     * @example settingsRoute.update(data);
     */
    update(data: IApplicationSettings): any;
}
/**
 * @overview
 ***Notes:**
 - Refer to the [Baasic REST API](http://dev.baasic.com/api/reference/home) for detailed information about available Baasic REST API end-points.
 - [URI Template](https://github.com/Baasic/uritemplate-js) syntax enables expanding the Baasic route templates to Baasic REST URIs providing it with an object that contains URI parameters.
 - All end-point objects are transformed by the associated route definition.
 */ 
