/**
 * @module maintenanceClient
 * @description  Maintenance Client provides an easy way to consume  Password Recovery REST API end-points. In order to obtain needed routes `maintenanceClient` uses `maintenanceRoute`.
*/
import { ApiClient, IHttpResponse } from '../../../httpApi';
import { MaintenanceRoute } from './';
export declare class MaintenanceClient {
    protected maintenanceRoute: MaintenanceRoute;
    protected apiClient: ApiClient;
    /**
     * Provides direct access to `maintenanceRoute`.
     * @method
     * @example maintenanceClient.routeDefinition.maintain(id);
     **/
    readonly routeDefinition: MaintenanceRoute;
    constructor(maintenanceRoute: MaintenanceRoute, apiClient: ApiClient);
    maintainApp(id: string): PromiseLike<IHttpResponse<any>>;
    maintain(): PromiseLike<IHttpResponse<any>>;
}
/**
 * @overview
 ***Notes:**
 - Refer to the [Baasic REST API](http://dev.baasic.com/api/reference/home) for detailed information about available Baasic REST API end-points.
 - All end-point objects are transformed by the associated route service.
*/ 
