import { BaseRoute } from '../../../common';
import { IAppOptions } from '../../../core/contracts';
export declare class MaintenanceRoute extends BaseRoute {
    protected appOptions: IAppOptions;
    /**
     * Maintenance route with route and query parameters.
     **/
    applicationMaintenanceRoute: string;
    /**
     * Maintenance route with route and query parameters.
     **/
    maintenanceRoute: string;
    constructor(appOptions: IAppOptions);
    /**
     * Parses application maintenance route.
     * @method
     * @example maintenanceRoute.maintain(id);
     **/
    maintainApp(id: string): any;
    /**
     * Parses maintenance route.
     * @method
     * @example maintenanceRoute.maintain();
     **/
    maintain(): any;
}
/**
 * @overview
 ***Notes:**
 - Refer to the [Baasic REST API](http://dev.baasic.com/api/reference/home) for detailed information about available Baasic REST API end-points.
 - [URI Template](https://github.com/Baasic/uritemplate-js) syntax enables expanding the Baasic route templates to Baasic REST URIs providing it with an object that contains URI parameters.
 - All end-point objects are transformed by the associated route definition.
 */ 
