import { BaseRoute } from '../../../common';
import { IAppOptions } from '../../../core/contracts';
export declare class LoginRoute extends BaseRoute {
    protected appOptions: IAppOptions;
    /**
     * Login route with route and query parameters.
     **/
    loginRoute: string;
    constructor(appOptions: IAppOptions);
    /**
     * Parses login route which can be expanded with additional options. Supported items are:
     * - `options` - Comma separated list of options used to setup authentication token with cookie session. Supported values are: "session" and "sliding".
     * @method
     * @example loginRoute.login( {options: 'sliding'});
     **/
    login(options: any): any;
}
/**
 * @overview
 ***Notes:**
 - Refer to the [Baasic REST API](http://dev.baasic.com/api/reference/home) for detailed information about available Baasic REST API end-points.
 - [URI Template](https://github.com/Baasic/uritemplate-js) syntax enables expanding the Baasic route templates to Baasic REST URIs providing it with an object that contains URI parameters.
 - All end-point objects are transformed by the associated route definition.
 */ 
