import { BaseRoute } from '../../../common';
import { IAppOptions } from '../../../core/contracts';
export declare class PasswordRecoveryRoute extends BaseRoute {
    protected appOptions: IAppOptions;
    /**
    * Password recovery route with route and query parameters.
    **/
    passwordRecoveryRoute: string;
    constructor(appOptions: IAppOptions);
    /**
     * Parses recover-password route, recover-password route doesn't expose any additional properties.
     * @method
     * @example passwordRecoveryRoute.passwordRecovery();
     **/
    passwordRecovery(): any;
    /**
     * Parses recover-password change route, recover-password change route doesn't expose any additional properties.
     * @method
     * @example passwordRecoveryRoute.passwordChange();
     **/
    passwordChange(): any;
}
/**
 * @overview
 ***Notes:**
 - Refer to the [Baasic REST API](http://dev.baasic.com/api/reference/home) for detailed information about available Baasic REST API end-points.
 - [URI Template](https://github.com/Baasic/uritemplate-js) syntax enables expanding the Baasic route templates to Baasic REST URIs providing it with an object that contains URI parameters.
 - All end-point objects are transformed by the associated route definition.
 */ 
