/**
 * @module notificationsClient
 * @description  Notifications Client provides an easy way to consume  Notifications REST API end-points. In order to obtain needed routes `notificationsClient` uses `notificationsRoute`.
 */
import { NotificationsPublishClient, NotificationsSubscriptionsClient, NotificationsRegistrationsClient, NotificationsRoute, NotificationsSettingsClient } from './';
export declare class NotificationsClient {
    protected notificationsPublishClient: NotificationsPublishClient;
    protected basicNotificationsSubscriptionsClient: NotificationsSubscriptionsClient;
    protected notificationsRegistrationsClient: NotificationsRegistrationsClient;
    protected notificationsSettingsClient: NotificationsSettingsClient;
    protected notificationsRoute: NotificationsRoute;
    readonly routeDefinition: NotificationsRoute;
    readonly publish: NotificationsPublishClient;
    readonly subscriptions: NotificationsSubscriptionsClient;
    readonly registrations: NotificationsRegistrationsClient;
    readonly settings: NotificationsSettingsClient;
    constructor(notificationsPublishClient: NotificationsPublishClient, basicNotificationsSubscriptionsClient: NotificationsSubscriptionsClient, notificationsRegistrationsClient: NotificationsRegistrationsClient, notificationsSettingsClient: NotificationsSettingsClient, notificationsRoute: NotificationsRoute);
}
/**
 * @overview
 ***Notes:**
 - Refer to the [REST API documentation](https://github.com/Baasic/baasic-rest-api/wiki) for detailed information about available Baasic REST API end-points.
 - All end-point objects are transformed by the associated route service.
 */ 
