/**
 * @module notificationsSubscriptionsClient
 * @description  Notifications Subscriptions Client provides an easy way to consume  Notifications REST API end-points. In order to obtain needed routes `notificationsSubscriptionsClient` uses `notificationsSubscriptionsRoute`.
 */
import { NotificationsSubscriptionsAnonymousClient, NotificationsSubscriptionsRoute, NotificationsSubscriptionsUsersClient } from './';
export declare class NotificationsSubscriptionsClient {
    protected notificationsSubscriptionsRoute: NotificationsSubscriptionsRoute;
    protected notificationsSubscriptionsAnonymousClient: NotificationsSubscriptionsAnonymousClient;
    protected notificationsSubscriptionsUsersClient: NotificationsSubscriptionsUsersClient;
    readonly routeDefinition: NotificationsSubscriptionsRoute;
    readonly anonymous: NotificationsSubscriptionsAnonymousClient;
    readonly users: NotificationsSubscriptionsUsersClient;
    constructor(notificationsSubscriptionsRoute: NotificationsSubscriptionsRoute, notificationsSubscriptionsAnonymousClient: NotificationsSubscriptionsAnonymousClient, notificationsSubscriptionsUsersClient: NotificationsSubscriptionsUsersClient);
}
/**
 * @overview
 ***Notes:**
 - Refer to the [REST API documentation](https://github.com/Baasic/baasic-rest-api/wiki) for detailed information about available Baasic REST API end-points.
 - All end-point objects are transformed by the associated route service.
 */ 
